Chrome bude blokovat zastaralé doplňky pro vyšší bezpečnost

Google se rozhodl převzít od Mozilly nápad s kontrolou aktuálnosti doplňků pro svůj prohlížeč Chrome a informoval, že v rámci snah o větší bezpečnost bude blokovat ty neaktuální.


Informace se objevila na blogu Chromium od tří bezpečnostních inženýrů Googlu. Chrome nemá jen upozorňovat na neaktuálnost doplňků, ale má jejich spuštění cíleně blokovat, pokud nebudou aktuální a tudíž potenciálně zranitelné.

Zástupci Googlu zatím neupřesnili, kdy bude blokování zastaralých doplňků do jejich browseru přidáno, jen se vyjádřili v tom smyslu, že půjde o střednědobý horizont. Nebylo ani specifikováno, které doplňky budou blokovány, zda všechny, nebo se tato nová funkcionalita bude týkat jen některých, nejčastěji exploitovaných. V každém případě by situace neměla skončit pouhou blokací, ale Chrome by měl uživateli asistovat při aktualizaci.

Dále by Chrome měl zobrazit varování v případě, že určitá webová stránka se bude snažit spustit neobvyklý doplněk, který není standardně používán, protože ten může být podezřelý a uživatel by o této skutečnosti měl být informován.

Google tímto krokem přebírá nápad Mozilly, který měl premiéru ve Firefoxu 3.5 jakožto kontrola aktuálnosti zásuvných modulů a následně byl rozšířen v aktuální verzi 3.6, kdy jsou ty zastaralé a zranitelné, jako Adobe Flash Player nebo Apple Quicktime ve starších verzích přímo blokovány. Důvodem je rostoucí počet útoků na webové prohlížeče právě prostřednictvím doplňků tohoto typu.

Chrome je již před Firefoxem například z hlediska automatických aktualizací Flash Playeru a před dvěma týdny vývojářský tým Googlu ohlásil integraci PDF prohlížeče do browseru.











Komentáře